Schema.IndexState (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.schema

## Enum Schema.IndexState

- java.lang.Object
- - java.lang.Enum<Schema.IndexState>
  - - org.neo4j.graphdb.schema.Schema.IndexState

- All Implemented Interfaces:
    Serializable, Comparable<Schema.IndexState>
  Enclosing interface:
    Schema

      public static enum Schema.IndexState
      extends Enum<Schema.IndexState>

  The states that an index can be in. This mostly relates to tracking the background population of an index, to tell when it is done populating and is online serving requests.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `ONLINE`
    `POPULATING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Schema.IndexState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Schema.IndexState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONLINE

          public static final Schema.IndexState ONLINE

    - #### POPULATING

          public static final Schema.IndexState POPULATING

    - #### FAILED

          public static final Schema.IndexState FAILED

  - ### Method Detail

    - #### values

          public static Schema.IndexState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Schema.IndexState c : Schema.IndexState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Schema.IndexState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.